## List Zaraz historical configuration records `client.zaraz.history.list(HistoryListParamsparams, RequestOptionsoptions?): SinglePage` **get** `/zones/{zone_id}/settings/zaraz/history` Lists a history of published Zaraz configuration records for a zone. ### Parameters - `params: HistoryListParams` - `zone_id: string` Path param: Identifier. - `limit?: number` Query param: Maximum amount of results to list. Default value is 10. - `offset?: number` Query param: Ordinal number to start listing the results with. Default value is 0. - `sortField?: "id" | "user_id" | "description" | 2 more` Query param: The field to sort by. Default is updated_at. - `"id"` - `"user_id"` - `"description"` - `"created_at"` - `"updated_at"` - `sortOrder?: "DESC" | "ASC"` Query param: Sorting order. Default is DESC. - `"DESC"` - `"ASC"` ### Returns - `HistoryListResponse` - `id: number` ID of the configuration. - `createdAt: string` Date and time the configuration was created. - `description: string` Configuration description provided by the user who published this configuration. - `updatedAt: string` Date and time the configuration was last updated. - `userId: string` Alpha-numeric ID of the account user who published the configuration. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const historyListResponse of client.zaraz.history.list({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', })) { console.log(historyListResponse.id); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": [ { "id": 0, "createdAt": "2019-12-27T18:11:19.117Z", "description": "description", "updatedAt": "2019-12-27T18:11:19.117Z", "userId": "userId" } ], "success": true } ```